Package ru.bitel.bgbilling.modules.npay.server.bean

# Class DebetStatusManageConfig

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.npay.server.bean.DebetStatusManageConfig

public class DebetStatusManageConfig extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DebetStatusManageConfig(Preferences moduleSetup, String configKey)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkLockStatus(int status)`
  `List<Integer>`
  `getActiveStatusList()`
  Возвращает список кодов статусов (активных)
  `String`
  `getActiveStatusString()`
  `static DebetStatusManageConfig`
  `getConfig(int moduleId, List<Integer> contractLabelIds)`
  `Set<Integer>`
  `getContractLabelIds()`
  `List<Integer>`
  `getLockStatusList()`
  Возвращает список кодов статусов (заблокированных)
  `String`
  `getLockStatusString()`
  `int`
  `getNextStatus(int status)`
  `int`
  `getServiceSet()`
  `BigDecimal`
  `getSummaForUnlock(Connection con, int moduleId, Contract contract)`
  Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
  `String`
  `getTariffIds()`
  `BigDecimal`
  `getUnlockBalanceLimit()`
  `int`
  `getUnlockSumForDays()`
  `boolean`
  `isCheckAccountChanged()`
  `boolean`
  `isCheckServiceObjectList()`
  `boolean`
  `isEnable()`
  `boolean`
  `isEnableForContractLabelIds(List<Integer> chechContractLabelIds)`
  `boolean`
  `isProcessDependentSub()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DebetStatusManageConfig

    public DebetStatusManageConfig(Preferences moduleSetup, String configKey)

- ## Method Details

  - ### isEnable

    public boolean isEnable()

  - ### isEnableForContractLabelIds

    public boolean isEnableForContractLabelIds(List<Integer> chechContractLabelIds)

  - ### getContractLabelIds

    public Set<Integer> getContractLabelIds()

  - ### getUnlockSumForDays

    public int getUnlockSumForDays()

  - ### getUnlockBalanceLimit

    public BigDecimal getUnlockBalanceLimit()

  - ### getLockStatusList

    public List<Integer> getLockStatusList()
    Возвращает список кодов статусов (заблокированных)
    Returns:

  - ### checkLockStatus

    public boolean checkLockStatus(int status)

  - ### getLockStatusString

    public String getLockStatusString()

  - ### getActiveStatusList

    public List<Integer> getActiveStatusList()
    Возвращает список кодов статусов (активных)
    Returns:

  - ### getActiveStatusString

    public String getActiveStatusString()

  - ### getServiceSet

    public int getServiceSet()

  - ### getTariffIds

    public String getTariffIds()

  - ### isProcessDependentSub

    public boolean isProcessDependentSub()

  - ### isCheckServiceObjectList

    public boolean isCheckServiceObjectList()

  - ### isCheckAccountChanged

    public boolean isCheckAccountChanged()

  - ### getSummaForUnlock

    public BigDecimal getSummaForUnlock(Connection con, int moduleId, Contract contract) throws ru.bitel.bgbilling.common.BGException
    Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
    Parameters:
      `con` -
      `moduleId` -
      `contract` -
    Returns:
    Throws:
      `Exception`
      `ru.bitel.bgbilling.common.BGException`

  - ### getNextStatus

    public int getNextStatus(int status)

  - ### getConfig

    public static DebetStatusManageConfig getConfig(int moduleId, List<Integer> contractLabelIds)